--- blas/testing/zblat3.f	Thu Dec  5 20:18:05 2002
+++ debian/updates/blas/testing/zblat3.f	Wed Dec  4 15:23:42 2002
@@ -46,6 +46,10 @@
 *     Jeremy Du Croz, Numerical Algorithms Group Ltd.
 *     Sven Hammarling, Numerical Algorithms Group Ltd.
 *
+*     10-9-00:  Change STATUS='NEW' to 'UNKNOWN' so that the testers
+*               can be run multiple times without deleting generated
+*               output files (susan)
+*
 *     .. Parameters ..
       INTEGER            NIN
       PARAMETER          ( NIN = 5 )
@@ -104,7 +108,7 @@
 *
       READ( NIN, FMT = * )SUMMRY
       READ( NIN, FMT = * )NOUT
-      OPEN( NOUT, FILE = SUMMRY, STATUS = 'NEW' )
+      OPEN( NOUT, FILE = SUMMRY, STATUS = 'UNKNOWN' )
       NOUTC = NOUT
 *
 *     Read name and unit number for snapshot output file and open file.
@@ -113,7 +117,7 @@
       READ( NIN, FMT = * )NTRA
       TRACE = NTRA.GE.0
       IF( TRACE )THEN
-         OPEN( NTRA, FILE = SNAPS, STATUS = 'NEW' )
+         OPEN( NTRA, FILE = SNAPS, STATUS = 'UNKNOWN' )
       END IF
 *     Read the flag that directs rewinding of the snapshot file.
       READ( NIN, FMT = * )REWI
@@ -1962,6 +1966,7 @@
 *  3-19-92:  Initialize ALPHA, BETA, RALPHA, and RBETA  (eca)
 *  3-19-92:  Fix argument 12 in calls to ZSYMM and ZHEMM
 *            with INFOT = 9  (eca)
+*  10-9-00:  Declared INTRINSIC DCMPLX (susan)
 *
 *     .. Scalar Arguments ..
       INTEGER            ISNUM, NOUT
@@ -1980,6 +1985,8 @@
 *     .. External Subroutines ..
       EXTERNAL           ZGEMM, ZHEMM, ZHER2K, ZHERK, CHKXER, ZSYMM,
      $                   ZSYR2K, ZSYRK, ZTRMM, ZTRSM
+*     .. Intrinsic Functions ..
+      INTRINSIC          DCMPLX
 *     .. Common blocks ..
       COMMON             /INFOC/INFOT, NOUTC, OK, LERR
 *     .. Executable Statements ..
